#ifndef _splineGLIDE_H_
#define _splineGLIDE_H_

enum
{
	SG_GRP_A					= 1000,
		SG_ONOFF				= 1017,
		SG_SOURCES          	= 1001, // InEx Field
		SG_MIX					= 1002, // Mix Float
		SG_BIAS					= 1003, // Bias percent
		SG_MODE					= 1004, // Mode Cycle Integer
			SG_USE_BIAS			= 0,
			SG_USE_CURVE		= 1,
		SG_GROUP_B				= 2000, // Group for Curve
			SG_CURVE			= 2001, // Curve Spline
		SG_GROUP_OS				= 5000, // Group for Overshot Curve
			SG_OVERSHOT			= 5001, // Overshot Spline
		SG_SEGMENT              = 1005, // Segment
		SG_SMOOTH               = 1006, // SplineHelp Smooth
		SG_EVEN					= 1007, // Even percent
		SG_SPACE				= 1008, // Space Integer
			SG_GLOBAL			= 0,
			SG_LOCAL			= 1,
		SG_OFFSET				= 1009, // Offset Percent
		SG_TRIMB				= 1010,  // Trim B source
		SG_REVB					= 1011,  // Reverse B source
		SG_SSTART				= 1012, // Spline Start
		SG_SEND					= 1013, // Spline End
		
		SG_COUNT				= 1014, // PointCount Integer fader
		
		SG_SPLINE_GROUP			= 3000, // Spline Group
			SG_TYPE				= 3001, // SplineType
				SG_LINEAR		= 0,
				SG_CUBIC		= 1,
				SG_AKIMA		= 2,
				SG_BSPLINE		= 3,

		SG_CLOSE				= 3002,
		SG_INTERMEDIATE_POINTS	= 3003,
			SG_NONE				= 0,
			SG_NATURAL			= 1,
			SG_UNIFORM			= 2,
			SG_ADAPTIVE			= 3,
			SG_SUBDIVIDED		= 4,
			
		SG_NUMBER				= 3004,
		SG_ANGLE				= 3005,
		SG_MAXLENGTH			= 3006,
		
		SG_CACHE                = 1015,
		
		SG_EXT_SETTINGS_GRP		= 4000,
			SG_EXTERNALS        = 4001,  // InEx Field
		SG_WWWTCA               = 1016   // http://tcastudios.com


};

#endif